package com.hxhq.business.enums.study;

/**
 * 表单状态：1：填报中；3：已提交；5：已复核；6：未通过；7：已完成；9：待废止；11：已废止
 * @author tanfei
 */
public enum StudyFormApplyBdztEnum {

    /**
     * 填报中
     */
    tbz(1, "填报中"),

    /**
     * 已提交
     */
    ytj(3, "已提交"),

    /**
     * 已复核
     */
    yfh(5, "已复核"),

    /**
     * 未通过
     */
    wtg(6, "未通过"),

    /**
     * 已完成
     */
    ywc(7, "已完成"),

    /**
     * 待废止
     */
    dfz(9, "待废止"),

    /**
     * 已废止
     */
    yfz(11, "已废止");

    private int value;
    private String text;

    StudyFormApplyBdztEnum(int value, String text) {
        this.value = value;
        this.text = text;
    }

    public int getValue() {
        return value;
    }

    public void setValue(int value) {
        this.value = value;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    public static StudyFormApplyBdztEnum getEnumByValue(int type) {
        for (StudyFormApplyBdztEnum bt : values()) {
            if (bt.value == type) {
                return bt;
            }
        }
        return null;
    }
}
